import { UserController } from "@/controllers/userController.js";
import { authenticateToken } from "@/middleware/auth.js";
import { updateUserSchema, validate } from "@/middleware/validation.js";
import { Router } from "express";

const router = Router();

router.use(authenticateToken);
router.put("/profile", validate(updateUserSchema), UserController.updateProfile);

export { router as userRoutes };
